org.apache.xmlbeans

## Interface SchemaAttributeModel

-     public interface SchemaAttributeModel

  Represents the attribute structure allowed on a complex type.
  See Also:
    `SchemaType.getAttributeModel()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LAX` Lax wildcard processing.
    `static int` | `NONE` See `getWildcardProcess()`
    `static int` | `SKIP` Skip wildcard processing.
    `static int` | `STRICT` Strict wildcard processing.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaLocalAttribute` | `getAttribute(javax.xml.namespace.QName name)` Returns the attribute with the given name.
    `SchemaLocalAttribute[]` | `getAttributes()` Returns an array containing all the attributes in the model.
    `int` | `getWildcardProcess()` Returns the processing code (`STRICT`, `LAX`, `SKIP`).
    `QNameSet` | `getWildcardSet()` QNameSet representing the attribute wildcard specification.

- - ### Field Detail

    - #### NONE

          static final int NONE

      See `getWildcardProcess()`
      See Also:
        Constant Field Values

    - #### STRICT

          static final int STRICT

      Strict wildcard processing. See `getWildcardProcess()`
      See Also:
        Constant Field Values

    - #### LAX

          static final int LAX

      Lax wildcard processing. See `getWildcardProcess()`
      See Also:
        Constant Field Values

    - #### SKIP

          static final int SKIP

      Skip wildcard processing. See `getWildcardProcess()`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAttributes

          SchemaLocalAttribute[] getAttributes()

      Returns an array containing all the attributes in the model.

    - #### getAttribute

          SchemaLocalAttribute getAttribute(javax.xml.namespace.QName name)

      Returns the attribute with the given name.

    - #### getWildcardSet

          QNameSet getWildcardSet()

      QNameSet representing the attribute wildcard specification.

    - #### getWildcardProcess

          int getWildcardProcess()

      Returns the processing code (`STRICT`, `LAX`, `SKIP`). Returns 0 (`NONE`) if no wildcard specified.